@mixin lg {
	@media screen and (max-width: map-get($grid-breakpoints, xl) - 1px) {
		@content;
	}
}

@mixin lg-up {
	@media screen and (min-width: map-get($grid-breakpoints, xl)) {
		@content;
	}
}

@mixin md {
	@media screen and (max-width: map-get($grid-breakpoints, lg) - 1px) {
		@content;
	}
}

@mixin md-up {
	@media screen and (min-width: map-get($grid-breakpoints, md)) {
		@content;
	}
}


@mixin sm {
	@media screen and (max-width: map-get($grid-breakpoints, md) - 1px) {
		@content;
	}
}

@mixin sm-up {
	@media screen and (min-width: map-get($grid-breakpoints, sm)) {
		@content;
	}
}


@mixin xs {
	@media screen and (max-width: map-get($grid-breakpoints, sm) - 1px) {
		@content;
	}
}

@mixin xs-up {
	@media screen and (min-width: map-get($grid-breakpoints, xs)) {
		@content;
	}
}



@mixin max-width($width) {
	@media screen and (max-width: #{$width}) {
		@content;
	}
}

@mixin max-height($height) {
	@media screen and (max-height: #{$height}) {
		@content;
	}
}

@mixin rfonts($lg, $md, $sm, $xs) {
	@include lg {
		font-size: $lg * 1px;
	}

	@include md {
		font-size: $md * 1px;
	}

	@include sm {
		font-size: $sm * 1px;
	}

	@include xs {
		font-size: $xs * 1px;
	}
}

@mixin min-width($width) {
	@media screen and (min-width: #{$width}) {
		@content;
	}
}
